/**
@license
Copyright (c) 2022 trading_peter
This program is available under Apache License Version 2.0
*/

import { TpLcBlock } from '../../tp-lc-block';
import { html, css } from 'lit';

class SimpleBlock extends TpLcBlock {
  static get styles() {
    return [
      ...TpLcBlock.blockStyles,
      css`
        :host {
          display: block;
          background: #11406b;
          border-radius: 4px;
        }
      `
    ];
  }

  renderContent() {
    const { title } = this;

    return html`
      ${title}<br>
      ${title}<br>
      ${title}<br>
      ${title}<br>
      ${title}<br>
    `;
  }

  static get properties() {
    return {
      title: { type: String },
    };
  }
}

window.customElements.define('simple-block', SimpleBlock);
